> For the complete documentation index, see [llms.txt](https://docs.moasure.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.moasure.com/en/moasure-one-and-moasure-2-series/integrations/measuresquare.md).

# MeasureSquare

Seamlessly measure up with Moasure and build flooring estimate floorplans and layouts onsite, with MeasureSquare on iPhone or iPad.

#### For Artificial Turf <a href="#for-artificial-turf" id="for-artificial-turf"></a>

* Measure up irregular outdoor spaces easily with Moasure.
* Optimises cut plans to minimise roll waste.
* Options to specify layout direction & seam locations.
* Calculate required product quantities.
* Create professional quotes & capture customer signatures onsite.
* Spend less time measuring up and more time closing your customer.

#### For Flooring <a href="#for-flooring" id="for-flooring"></a>

* Measure up a floorplan with Moasure.
* Drag & drop flooring products to specific areas.
* Calculate product quantity, layout direction, seam locations & waste optimisation.
* Create professional quotes & capture customer signatures.
* Create work orders with installation diagrams.

#### State of the Art Measuring Technology <a href="#state-of-the-art-measuring-technology" id="state-of-the-art-measuring-technology"></a>

* **Bid Professionally And Profitably** Create professional bid packages and pricing options with protected profit.
* **Instant Waste Optimization** Auto find minimum waste layouts & build cut sheets - instantly.
* **Field And Office Collaboration** MeasureSquare's M2 Cloud enables office and showroom collaboration with field reps to serve customers faster.

[Click Here to learn more about MeasureSquare](https://measuresquare.com/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.moasure.com/en/moasure-one-and-moasure-2-series/integrations/measuresquare.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
